# Assignment4



## Getting started

To make it easy for you to get started with GitLab, here's a list of recommended next steps.

Already a pro? Just edit this README.md and make it your own. Want to make it easy? [Use the template at the bottom](#editing-this-readme)!

## Steps to Run DockerFile

sudo apt update
sudo apt install docker .io
sudo apt install git
mkdir nodeapp
cd nodeapp
git clone https://github.com/virtuecloud/node-test-app.git
#Asked for login id
#and  password
cd app folder 
touch Dockerfile
touch .dockerignore
sudo nano Dockerfile
#Paste dockerfile content over here
sudo nano .dockerignore
#Paste the content as well
docker build -t node .
docker run -d -p 80:3000 node:latest



## Test and Deploy

